Name: cuneiform
Version: 0.6
Release: alt0.M41.1

Summary: Cuneiform is an OCR system originally developed and open sourced by Cognitive technologies.
Summary(ru_RU.KOI8-R):    (OCR) Cuneiform, Linux-

License: BSD
Group: Graphics
Url: https://launchpad.net/cuneiform-linux

Packager: Sergey Alembekov <rt@altlinux.ru>

Source: http://launchpad.net/%name-linux/%version/%version/+download/%name-%version.tar.bz2
Patch0: cuneiform-0.3-libidl-alt.patch 

Requires: %name-data = %version-%release
BuildRequires: gcc-c++ libImageMagick-devel cmake

%description
Cuneiform is an OCR system originally developed and open sourced by Cognitive technologies. This project aims to create a fully portable version of Cuneiform.

%description -l ru_RU.KOI8-R
   (OCR) Cuneiform,      ,    Cognitive Technologies     2008 .  cuneiform-linux         Cuneiform  Linux    .

%package data
Summary: Language support and other data files required for Cuneiform OCR
Summary(ru_RU.KOI8-R):          OCR Cuneiform
Group: Graphics
Requires: %name = %version-%release
BuildArch: noarch

%description data
Language support and other data files required for Cuneiform OCR

%description -l ru_RU.KOI8-R data
         OCR Cuneiform

%prep
%setup
%patch0 -p0

%build
mkdir build
cd build
cmake .. -DCMAKE_INSTALL_PREFIX=%_prefix
%make_build VERBOSE=1

%install
cd build
%make preinstall
cmake -DCMAKE_INSTALL_PREFIX=%buildroot%prefix -P cmake_install.cmake

%files
%_bindir/*
%_libdir/*

%files data
%dir %_datadir/%name
%_datadir/%name/*

%changelog
* Tue Apr 07 2009 Sergey Alembekov <rt@altlinux.ru> 0.6-alt0.M41.1
- backport to branch/4.1

* Tue Mar 03 2009 Sergey Alembekov <rt@altlinux.ru> 0.6-alt1
- new upstream version

* Tue Dec 16 2008 Sergey Alembekov <rt@altlinux.ru> 0.5.0-alt1.1
- add forgotten libidl patch
- add cuneiform-data to requires

* Mon Dec 15 2008 Sergey Alembekov <rt@altlinux.ru> 0.5.0-alt1
- New 0.5 version build

* Sat Aug 16 2008 Fr. Br. George <george@altlinux.ru> 0.3-alt1
- Initial build from scratch
- Thanks thresh@ for libdl hint

